/*
**	File:			SectionReport.r
**
**	Description:	Resources for the SectionReport filter.
**
**	Version:		1.0
**
**	Copyright 1999 Apple Computer. All rights reserved.
**
**	You may incorporate this sample code into your applications without
**	restriction, though the sample code has been provided "AS IS" and the
**	responsibility for its operation is 100% yours.  However, what you are
**	not permitted to do is to redistribute the source as "ABC Sample Code"
**	after having made changes. If you're going to re-distribute the source,
**	we require that you make it clear in the source that the code was
**	descended from Apple Sample Code, but that you've made changes.
**
*/

#include "SysTypes.r"
#include "Types.r"

#include "Version.h"
#include "PrintingPlugins.r"
#include "PSOutputFilters.r"

#if qDebug
#define filterCFMName	"SectionReport.debug"
#else
#define filterCFMName	"SectionReport"
#endif

resource kPluginResourceInfoType (kPluginResourceInfoID,
#if qNames
	"Plug-In Info",
#endif
	purgeable) {
	{
		// There needs to be an entry here for each plug-in which is built into our file.
	
		kPSOutputFilterPlugInType, kPSOutputFilterSubtype, filterCFMName,		
	}	
};


//Put correct verion into string.
resource 'vers' (1, purgeable) {
	kMajorRev,
	kMinorRev,
	kReleaseStage,
	kNonRelease,
	verUS,
	kShortVersStr
		#if qDebug				// lets see how we built it.
			kqDebug
		#endif
		#if qSym
			kqSym
		#endif
		#if qNames
			kqNames
		#endif
		,
	kShortVersStr 
	",  1999 Apple Computer Incorporated "
	
		#if qDebug				// lets see how we built it.
			kqDebug
		#endif
		#if qSym
			kqSym
		#endif
		#if qNames
			kqNames
		#endif
};

resource kPluginInfoType (kPluginInfoID,
#if qNames
	"Plugin Info String",
#endif
	purgeable) {
	"This filter generates a log file with all the subsection information that passes through this filter. The log file has a .dsc suffix and is written to your Job Documentation Folder."
};

